Holger's Java API

## com.antelmann.sound
Class MP3FileProperties

    java.lang.Object
      com.antelmann.sound.MP3FileProperties

    @ThirdParty(value="de.vdheide.mp3")
    public class MP3FileProperties

extends Object

MP3Properties allows access to MP3-specific properties of an MP3 file.

Dependency on:
package de.vdheide.mp3, see: http://www.vdheide.de/

This class is just a convenient wrapper around the functionality provided by the cd.vdheide.mp3 package; it adds no significant new functionality, but only simplifies access to a commonly used subset of the original functionality. In particular, this class only exposes read-only access to the properties.

Author:
  Holger Antelmann

Constructor Summary
`MP3FileProperties(File mp3File)`

Method Summary
`String` `getAlbum()`
`String` `getArtist()`
`String` `getBand()`
`int` `getBitrate()`
`String` `getBPM()`
`byte[]` `getCDIdentifier()`
`String` `getComposer()`
`String` `getConductor()`
`boolean` `getCopyright()`
`String` `getCopyrightText()`
`String` `getEncodedBy()`
`String` `getFileOwner()`
`String` `getGenre()`
`long` `getLength()` calculated length in milliseconds
`de.vdheide.mp3.MP3File` `getMP3File()`
`int` `getMPEGLevel()`
`Properties` `getProperties()` returns a convenient Map of commonly used properties of this MP3 file - as far as available
`String` `getPropertiesAsString()` a convenience method returning all known properties as a String
`int` `getSamplerate()`
`String` `getSubtitle()`
`String` `getTitle()`
`int` `getTrack()`
`int` `getYear()` returns -1 if the year cannot be parsed as a number

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MP3FileProperties

    public MP3FileProperties(File mp3File)
                      throws SoundException

Throws:
  `SoundException`

Method Detail

### getMP3File

    public de.vdheide.mp3.MP3File getMP3File()

### getProperties

    public Properties getProperties()

  returns a convenient Map of commonly used properties of this MP3 file - as far as available

### getPropertiesAsString

    public String getPropertiesAsString()

  a convenience method returning all known properties as a String

### getBitrate

    public int getBitrate()

### getSamplerate

    public int getSamplerate()

### getCopyright

    public boolean getCopyright()

### getMPEGLevel

    public int getMPEGLevel()

### getLength

    public long getLength()

  calculated length in milliseconds

### getTitle

    public String getTitle()
                    throws SoundException

  Throws:
    `SoundException`

### getAlbum

    public String getAlbum()
                    throws SoundException

  Throws:
    `SoundException`

### getArtist

    public String getArtist()
                     throws SoundException

  Throws:
    `SoundException`

### getGenre

    public String getGenre()
                    throws SoundException

  Throws:
    `SoundException`

### getBand

    public String getBand()
                   throws SoundException

  Throws:
    `SoundException`

### getSubtitle

    public String getSubtitle()
                       throws SoundException

  Throws:
    `SoundException`

### getTrack

    public int getTrack()
                 throws SoundException

  Throws:
    `SoundException`

### getYear

    public int getYear()
                throws SoundException

  returns -1 if the year cannot be parsed as a number

  Throws:
    `SoundException`

### getCopyrightText

    public String getCopyrightText()
                            throws SoundException

  Throws:
    `SoundException`

### getComposer

    public String getComposer()
                       throws SoundException

  Throws:
    `SoundException`

### getConductor

    public String getConductor()
                        throws SoundException

  Throws:
    `SoundException`

### getBPM

    public String getBPM()
                  throws SoundException

  Throws:
    `SoundException`

### getEncodedBy

    public String getEncodedBy()
                        throws SoundException

  Throws:
    `SoundException`

### getFileOwner

    public String getFileOwner()
                        throws SoundException

  Throws:
    `SoundException`

### getCDIdentifier

    public byte[] getCDIdentifier()
                           throws SoundException

  Throws:
    `SoundException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads